package cn.lihongjie.coal.warehouseGoodsBrand.controller;

import cn.lihongjie.coal.annotation.OrgScope;
import cn.lihongjie.coal.annotation.SysLog;
import cn.lihongjie.coal.base.dto.CommonQuery;
import cn.lihongjie.coal.base.dto.IdRequest;
import cn.lihongjie.coal.warehouseGoodsBrand.dto.CreateWarehouseGoodsBrandDto;
import cn.lihongjie.coal.warehouseGoodsBrand.dto.UpdateWarehouseGoodsBrandDto;
import cn.lihongjie.coal.warehouseGoodsBrand.dto.WarehouseGoodsBrandDto;
import cn.lihongjie.coal.warehouseGoodsBrand.service.WarehouseGoodsBrandService;

import lombok.extern.slf4j.Slf4j;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/warehouseGoodsBrand")
@SysLog(module = "仓库商品品牌管理")
@Slf4j
@OrgScope
public class WarehouseGoodsBrandController {
    @Autowired private WarehouseGoodsBrandService service;

    @PostMapping("/create")
    public WarehouseGoodsBrandDto create(@RequestBody CreateWarehouseGoodsBrandDto request) {
        return this.service.create(request);
    }

    @PostMapping("/update")
    public WarehouseGoodsBrandDto update(@RequestBody UpdateWarehouseGoodsBrandDto request) {
        return this.service.update(request);
    }

    @PostMapping("/delete")
    public Object delete(@RequestBody IdRequest request) {
        this.service.delete(request);
        return true;
    }

    @PostMapping("/getById")
    public WarehouseGoodsBrandDto getById(@RequestBody IdRequest request) {
        return this.service.getById(request.getId());
    }

    @PostMapping("/list")
    public Page<WarehouseGoodsBrandDto> list(@RequestBody CommonQuery request) {
        return this.service.list(request);
    }
}
